# -*- coding:utf-8 -*-
import yaml

def read_config(parent_dir="."):
   
    with open(parent_dir +"/config/tencent_config.yaml", "r",encoding="utf-8") as file:
        config = yaml.safe_load(file)
        return config
   
   



if __name__ == '__main__':
    import sys,os

    current_dir = os.path.dirname(os.path.abspath(__file__))
    parent_dir = os.path.abspath(os.path.join(current_dir, os.pardir))
    sys.path.append(parent_dir)
    print(read_config(parent_dir))